<template>
  <ul>
    <li>
      <nuxt-link exact="" :to="localePath('/profile')">
        {{ $t('profile.menu.profile') }}
      </nuxt-link>
    </li>

    <li>
      <nuxt-link :to="localePath('/profile/store')"> Store </nuxt-link>
    </li>

    <li>
      <nuxt-link :to="localePath('/profile/photography')">
        {{ $t('profile.menu.photography') }}
      </nuxt-link>
    </li>

    <!-- <li>
      <el-badge is-dot>
        <nuxt-link :to="localePath('/profile/chat')">
          {{ $t('profile.menu.chat') }}
        </nuxt-link>
      </el-badge>
    </li> -->

    <li>
      <el-badge>
        <nuxt-link :to="localePath('/profile/settings')">
          {{ $t('profile.menu.settings') }}
        </nuxt-link>
      </el-badge>
    </li>
    <!--
    <li>
      <el-badge is-dot>
        <nuxt-link :to="localePath('/profile/notifications')">
          {{ $t('profile.menu.notifications') }}
        </nuxt-link>
      </el-badge>
    </li>
    -->
    <li>
      <el-badge>
        <nuxt-link :to="localePath('/profile/wallet')">
          {{ $t('profile.menu.wallet') }}
        </nuxt-link>
      </el-badge>
    </li>

    <li>
      <nuxt-link :to="localePath('/search')">
        {{ $t('profile.menu.search') }}
      </nuxt-link>
    </li>

    <li>
      <nuxt-link :to="localePath('/profile/favorites')">Favorites</nuxt-link>
    </li>

    <li v-if="isAdministrator" class="divider">
      <nuxt-link :to="localePath('/admin')"> Admin </nuxt-link>
    </li>
  </ul>
</template>

<script lang="ts">
import { defineComponent, useContext, computed } from '@nuxtjs/composition-api'
import { Role } from '@/types'
import elBadge from '@/components/element/Badge.vue'

export default defineComponent({
  name: 'SidebarProfile',
  components: {
    elBadge
  },
  setup() {
    const {
      app: { $accessor }
    } = useContext()

    const isAdministrator = computed(() =>
      $accessor.auth.withRole(Role.Administrator)
    )

    return { isAdministrator }
  }
})
</script>

<style lang="scss" scoped>
ul {
  margin: 0px;
  padding: 0px;
  list-style: none;
  li {
    a {
      letter-spacing: -0.75px;
      color: #8591ad;
      font-size: 30px;
      line-height: 50px;
      letter-spacing: 0px;
      font-weight: 900;
      &.is-active,
        //&.nuxt-link-active:not(:first-child),
        &.nuxt-link-active,
        &:hover {
        color: #fff;
      }
    }

    &.divider {
      margin-top: 21px;
      padding-top: 15px;
      position: relative;
      &::after {
        display: block;
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        height: 1px;
        width: 220px;
        background: #8591ad;
        max-width: 100%;
      }
    }
  }
}
</style>
